Author Topic: adding angle limit to lisp code "  (Read 1552 times)

0 Members and 1 Guest are viewing this topic.

jtm2020hyo

  • Newt
  • Posts: 198
adding angle limit to lisp code "
« on: November 18, 2018, 04:02:55 PM »
I attached 2 files that work in same way.

Is possible to add limiting options to allow code work just in a certain range of angles or ignore block between certain angles choice for the user?

I want to use this code to link just with blocks that are between an angle range of 0 grades (variable) and 180 grades ( variable) respect to block base point and their rotation, I need to ignore all block between 180 grades and 360 grades respect to block base point and their rotation.

ronjonp

  • Needs a day job
  • Posts: 7526
Re: adding angle limit to lisp code "
« Reply #1 on: November 26, 2018, 02:58:26 PM »
This will filter blocks with a rotation less than or equal to 180 degrees.
Code - Auto/Visual Lisp: [Select]
  1. (sssetfirst nil (ssget "_A" (list '(0 . "INSERT") '(-4 . "<=") (cons 50 pi))))

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC